function eqnotes = midichords(fn, instr, poly, d)
   if sum(coeffs(poly)) == 352
      group{1} = [];
      for i = 2:12
          group{i} = mulperms({[1,2,3,4,5,6,7,8,9,10,11,12]}, group{i-1});
      end
   else
      group{1} = [];
      for i = 2:12
          group{i} = mulperms({[1,2,3,4,5,6,7,8,9,10,11,12]}, group{i-1});
      end
      for i = 13:24
          group{i} = mulperms(group{i-12}, {[1,11], [2,10], [3,9], ...
                     [4,8], [5,7]});
      end
   end
   s = group;
   nm = nchoosek(1:12, d);
   snm = size(nm);
   for i = 1:snm(1)
       notes{i} = nm(i,:);
   end
   nct = coeffs(poly);
   nct = nct(d+1);
   ct = 0;
   for j = 1:numel(notes)
       res = [];
       for i = 1:numel(s)
           pt = [];
           for h = 1:numel(notes{j})
               pt = [pt, fperm(s{i}, notes{j}(h))];
           end
           res = sort(unique([res, ntable(sort(pt), notes)]));
       end
       if j == res(1)
          ct = ct + 1;
          eqnotes{ct} = notes{j} - 1;
       end
       if ct == nct
          break;
       end
   end
   num = 2^32 + 9*nct + 7;
   b = [];
   while num > 0
       s = mod(num, 256);
       num = floor(num/256);
       b = [s, b];
   end
   b = b(2:5);
   o = [60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71];
   track = [];
   for j = 1:d
       ntrack = [];
       for i = 1:nct
           ntrack = [ntrack, 0, 144, o(eqnotes{i}(j)+1), 96, ...
                     130, 30, 144, o(eqnotes{i}(j)+1), 0];
       end           
        track = [track, 77, 84, 114, 107, b, 0, 192, instr, ...
                 ntrack, 0, 255, 47, 0];
   end 
   m = [77, 84, 104, 100, 0, 0, 0, 6, 0, 1, 0, d, 0, 128, track];
   fname = fopen(char(fn), 'w');
   fwrite(fname, double(m));
   fclose(fname);



